Subject: Re: [PATCH 1/2] iptables: Merge libip6t_LOG and libipt_LOG into libxt_LOG

From: Pablo Neira Ayuso <[email-masked]>
Date: Tue, 28 Feb 2012 23:54:46 +0100

On Tue, Feb 28, 2012 at 05:15:59PM +0100, Dave Taht wrote:
> On Tue, Feb 28, 2012 at 5:06 PM, Richard Weinberger <[email-masked]> wrote:
> > Am 25.02.2012 14:38, schrieb Pablo Neira Ayuso:
> >> On Fri, Feb 10, 2012 at 11:10:51PM +0100, Richard Weinberger wrote:
> >>> libip6t_LOG and libipt_LOG share a lot of common code, merge them
> >>> to recude duplicate code.
> >>
> >> I have applied this to the net-next branch of iptables.
> >>
> >> See git.netfilter.org
> >>
> >> I'll merge it to master once linux kernel 3.3 is released.
> >
> > Okay. What about the ring buffer feature?
> > Is there anything missing?
> 
> I'm under the impression that the ecn related changes didn't make it
> as yet. I'm in a position to test that stuff this month, if it needs
> further testing and hasn't actually made it in.

You mean this?

commit af0d29cd2a732f70882e6122b9f9df8b0d84515e
Author: Patrick McHardy <[email-masked]>
Date:   Thu Jun 9 15:20:27 2011 +0200

    netfilter: xtables: add an IPv6 capable version of the ECN match

It's already 3.3-rc.